s = Server.local;
s.waitForBoot {
    var module, sound;

    // Connect to OSC
    thisProcess.openUDPPort(5005);
    n = NetAddr.new("0.0.0.0", 5005);
    o = OSCFunc({ arg msg, time, addr, recvPort; [msg, time, addr, recvPort].postln; }, '/radio', n);
    OSCFunc.trace(true); 

    // Create the synth definition and load it
    module = SynthDef.new("module", { 
        arg hue, saturation, value;
        var oscillator, noise, filter;
        oscillator = SinOsc.ar(MouseX.kr(220, 1000));
        noise = WhiteNoise.ar(0.5);
        filter = BPF.ar(noise, MouseX.kr(220, 1000), 0.3);
        Out.ar(0, filter);
    });
    module.load(s);
    
    // Make a sound
    sound = Synth.new("module", [\hue, 440, \saturation, 100, \value, 500]);
};
